Bug 1653270 - python3-koji: missing modules [NEEDINFO]
Summary: python3-koji: missing modules
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: koji
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mike McLean
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F31_PY2REMOVAL
TreeView+ depends on / blocked
 
Reported: 2018-11-26 12:25 UTC by Martin Bašti
Modified: 2019-05-29 12:38 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-29 12:38:23 UTC
Type: Bug
mhroncok: needinfo? (mikem)
mhroncok: needinfo? (mikem)


Attachments (Terms of Use)

Description Martin Bašti 2018-11-26 12:25:02 UTC
Description of problem:
python3-koji provides only subset of modules provided by python2-koji, namely module `koji.daemon` is missing

Version-Release number of selected component (if applicable):
python3-koji-1.16.1-2.fc29.noarch


How reproducible:
Always

Steps to Reproduce:
1. dnf install python3-koji
2. python3 -c 'import koji.daemon'
3.

Actual results:
Unable to import koji.daemon module in py3

Expected results:
Be able to use koji.daemon module in py3

Additional info:
[root@f9d932a97c31 /]# rpm -ql python2-koji | grep daemon
/usr/lib/python2.7/site-packages/koji/daemon.py
/usr/lib/python2.7/site-packages/koji/daemon.pyc
/usr/lib/python2.7/site-packages/koji/daemon.pyo

[root@f9d932a97c31 /]# rpm -ql python3-koji | grep daemon
[root@f9d932a97c31 /]#

Comment 1 Miro Hrončok 2019-05-13 07:52:08 UTC
https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages

1) What are the upstream plans/timelines regarding Python 3 for the remaining modules and koji-builder?

2) What is the guidance for porting to Python 3? (Assuming that there is someone who generally knows how to port to Python 3, but doesn't know anything about Koji, what are the next steps to take?)

Comment 2 Miro Hrončok 2019-05-20 11:17:35 UTC
Please, could you answer my questions?

https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages

Comment 3 Martin Bašti 2019-05-20 11:25:42 UTC
IMHO py3 migration has been finished in koji upstream (I'm not a koji maintainer)

Comment 4 Miro Hrončok 2019-05-27 08:59:12 UTC
Maintainer, please, could you answer my questions?

https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages


If you can't provide the information, this package can be orphaned.


> IMHO py3 migration has been finished in koji upstream (I'm not a koji maintainer)

If this is the case, what's the situation in downstream?


Sorry for being to annoying, I'm juts trying to prevent a situation when we have to retire Koji in Fedora 32.

Comment 5 Martin Bašti 2019-05-29 12:22:41 UTC
I checked F30 packages, koji daemon module is packaged there

rpm -ql python3-koji | grep daemon
/usr/lib/python3.7/site-packages/koji/__pycache__/daemon.cpython-37.opt-1.pyc
/usr/lib/python3.7/site-packages/koji/__pycache__/daemon.cpython-37.pyc
/usr/lib/python3.7/site-packages/koji/daemon.py


So this bug is fixed for me and can be closed.


Note You need to log in before you can comment on or make changes to this bug.